GENERIC_FILE_WRITE_I(9)

NAME
generic_file_write_iter - write data to a file

SYNOPSIS

ssize_t generic_file_write_iter(struct kiocb * iocb, struct iov_iter * from);

ARGUMENTS

iocb
    IO state structure

from
    iov_iter with data to write

DESCRIPTION

This is a wrapper around __generic_file_write_iter to be used by most filesystems. It takes care of syncing the file in case of O_SYNC file and acquires i_mutex as needed.

COPYRIGHT